org.apache.xmpbox.type

## Class LayerType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.LayerType

    public class LayerType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `LAYER_NAME`
`static String` `LAYER_TEXT`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LayerType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLayerName()` Get The LayerName data
`String` `getLayerText()` Get The LayerText data
`void` `setLayerName(String image)` Set LayerName
`void` `setLayerText(String image)` Set LayerText

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LAYER_NAME

    public static final String LAYER_NAME

See Also:
  Constant Field Values

#### LAYER_TEXT

    public static final String LAYER_TEXT

See Also:
  Constant Field Values

### Constructor Detail

#### LayerType

    public LayerType(XMPMetadata metadata)

### Method Detail

#### getLayerName

    public String getLayerName()

Get The LayerName data

Returns:
  the LayerName

#### setLayerName

    public void setLayerName(String image)

Set LayerName

Parameters:
  `image` - the value of LayerName property to set

#### getLayerText

    public String getLayerText()

Get The LayerText data

Returns:
  the LayerText

#### setLayerText

    public void setLayerText(String image)

Set LayerText

Parameters:
  `image` - the value of LayerText property to set